<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title">Pilih NOMOR PP </h6>
    </div>
    <div class="modal-body">
        <p-dataTable 
            [value]="purchaseOrders" 
            [editable]="false" 
            [rows]="itemsPerPage" 
            [paginator]="true"
            [pageLinks]="5" 
            [rowsPerPageOptions]="[10,15,20,50,100]"
            [totalRecords]="totalItems" 
            [responsive]="true"
            [lazy]="true" 
            [(selection)]="selected" 
            dataKey="noprior" 
            (onLazyLoad)="loadDataLazy($event)"
            [(first)]="first">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Cari Nomor PP">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'30px'}"></p-column>
            <p-column header="No" [style]="{'width': '35px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor PP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.noPurchaseOrder}}
                </ng-template>
            </p-column>

            <p-column header="Tanggal Proses Siap PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtCreateBy | date:'dd-MM-yyyy HH:mm'}}
                </ng-template>
            </p-column>
            <p-column header="PIC">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.pic}}
                </ng-template>
            </p-column>
            <p-column header="Kode Barang">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.item.codeProduk}}
                </ng-template>
            </p-column>
            <p-column header="Nama Barang">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.item.produkName}}
                </ng-template>
            </p-column>
            <p-column header="Qty PP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.item.qty}}
                </ng-template>
            </p-column>
            <p-column header="Qty to PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.item.qtytopo}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Kirim">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.item.dtSent | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Catatan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.item.note_pbl}}
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" label="{{'entity.action.select' | translate}}" icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>